#include <iostream>

using namespace std;

int main(){
	long long v;
	int k=0;
	cin>>v;
	while(v>0){
		if(v%10==0){
			v/=10;
		}
		else{
			if(v%10>4){
				v-=5;
				k++;
			}
			else if(v%10>1){
				v-=2;
				k++;
			}
			else if(v%10>0){
				v--;
				k++;
			}
			}
		}
		cout<<k;
	}